Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libloudmouth
Version:	1.4.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.loudmouth-project.org/
Group:		System/Libraries
Source0:	loudmouth-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Loudmouth is a Jabber programming library written in C.
BuildRequires:	libgcrypt-devel
BuildRequires:	glib-devel
BuildRequires:	openssl-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	libasyncns-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
Loudmouth is a lightweight and easy-to-use C library for
programming with the Jabber protocol. It's designed to be
easy to get started with and yet extensible to let you do
anything the Jabber protocol allows.
The goal is to fully support Linux, *BSD, Mac OSX and Windows.
It has currently only been tested on Linux, FreeBSD,
Solaris and Windows. If someone with access to other systems
can provide feedback we would be most grateful. 
For more details see: http://www.loudmouth-project.org/

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n loudmouth-%{version}

%build
./configure --prefix=%_prefix \
--includedir=%_includedir --with-ssl=openssl \
--enable-debug=no --with-asyncns=yes
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_pkgconfig
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- version update
* Fri May 18 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.2.2-1
- Version update
* Wed Apr 19 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.1-2
- rebuilt against gnutls
* Tue Nov 22 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.1-1
- Initial Release
